using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MinimalanTrudJovan
{
    class Program
    {
        static void Main(string[] args)
        {
            int prviKrugPts;
            int drugiKrugPts = UzmiBrojPoena(2);
            int treciKrugPts = UzmiBrojPoena(3);

            if (drugiKrugPts + treciKrugPts >= 256)
            {
                prviKrugPts = 0;
            }
            else
            {
                prviKrugPts = 256 - Math.Max(drugiKrugPts, treciKrugPts);
            }

            Console.WriteLine($"Minimalan broj poena potreban u 1. krugu: {prviKrugPts}");
        }

        private static int UzmiBrojPoena(int brKruga)
        {
            int poeni ;
            bool ispunjavaLiUslove = true;
            do
            {
                if (!ispunjavaLiUslove)
                    Console.WriteLine("Unesite broj manji ili jednak od 500 i veci ili jednak od 0!");

                Console.Write($"Broj poena u {brKruga}. krugu: ");

                ispunjavaLiUslove = int.TryParse(Console.ReadLine(), out poeni);
                if (poeni < 0 || poeni > 500)
                    ispunjavaLiUslove = false;
            } while (!ispunjavaLiUslove);

            return poeni;
        }
    }
}